package com.qmth.teachcloud.common.bean.result;

import com.qmth.teachcloud.common.bean.params.ApproveUserResult;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 角色组成员返回
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/3/9
 */
public class SysRoleGroupMemberResult implements Serializable {

    @ApiModelProperty(value = "用户信息")
    ApproveUserResult user;

    @ApiModelProperty(value = "成员信息")
    List<ApproveUserResult> memberList;

    public SysRoleGroupMemberResult() {

    }

    public SysRoleGroupMemberResult(ApproveUserResult user) {
        this.user = user;
    }

    public SysRoleGroupMemberResult(List<ApproveUserResult> memberList) {
        this.memberList = memberList;
    }

    public SysRoleGroupMemberResult(ApproveUserResult user, List<ApproveUserResult> memberList) {
        this.user = user;
        this.memberList = memberList;
    }

    public ApproveUserResult getUser() {
        return user;
    }

    public void setUser(ApproveUserResult user) {
        this.user = user;
    }

    public List<ApproveUserResult> getMemberList() {
        return memberList;
    }

    public void setMemberList(List<ApproveUserResult> memberList) {
        this.memberList = memberList;
    }
}
